{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./networking.nix

    ../../../modules
  ];

  networking.hostId = "bbdd1133";
  networking.hostName = "cephiroth";

  boot.loader.grub.enable = true;
  boot.loader.grub.efiSupport = true;
  boot.loader.grub.device = "nodev";

  boot.loader.grub.mirroredBoots = [
    {
      devices = [ "nodev" ];
      path = "/boot-fallback";
    }
  ];

  system.stateVersion = "24.05";
}
